Error installing Airbyte locally with exec format error

Summary

The user is facing an ‘exec format error’ while trying to install Airbyte locally using Docker Compose. The error occurs with versions 0.60.0 and 0.57.1. User provided system and Docker Compose version details.


Question

I’m trying to install Airbyte locally as per instructions: https://docs.airbyte.com/deploying-airbyte/docker-compose#setup--launch-airbyte
But I’m getting this error: airbyte-webapp | exec /docker-entrypoint.sh: exec format error

This is the output from docker ps
airbyte/webapp:0.60.0 "/docker-entrypoint.…" 33 minutes ago Restarting (1) 37 seconds ago

No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 22.04.3 LTS
Release:        22.04
Codename:       jammy 
 
$ docker compose version
Docker Compose version v2.27.0```
I'm getting the same error going back to version 0.57.1. How do I troubleshoot this issue?

<br>

---

This topic has been created from a Slack thread to give it more visibility.
It will be on Read-Only mode here. [Click here](https://airbytehq.slack.com/archives/C021JANJ6TY/p1716201444449159) if you want 
to access the original thread.

[Join the conversation on Slack](https://slack.airbyte.com)

<sub>
["install-airbyte", "exec-format-error", "docker-compose", "troubleshoot", "ubuntu-22.04", "docker"]
</sub>